# QProcess Class Reference

### [com.trolltech.qt.core package]

Inherits QIODevice.

### Constructor

- void QProcess(QObject parent)

### Constructor Properties

- prototype: The QProcess prototype object
- int execute(String program)
- bool startDetached(String program)
- List systemEnvironment()
- FailedToStart
- Crashed
- Timedout
- ReadError
- WriteError
- UnknownError
- ProcessError( value )
- SeparateChannels
- MergedChannels
- ForwardedChannels
- ProcessChannelMode( value )
- StandardOutput
- StandardError
- ProcessChannel( value )
- NotRunning
- Starting
- Running
- ProcessState( value )
- NormalExit
- CrashExit
- ExitStatus( value )

### Prototype Object Properties

The QProcess prototype object inherits properties from the QIODevice prototype object and also has the following properties.

- void closeReadChannel(ProcessChannel channel)
- void closeWriteChannel()
- List environment()
- ProcessError error()
- int exitCode()
- ExitStatus exitStatus()
- ProcessChannelMode processChannelMode()
- QProcessEnvironment processEnvironment()
- QByteArray readAllStandardError()
- QByteArray readAllStandardOutput()
- ProcessChannel readChannel()
- void setEnvironment(List environment)
- void setProcessChannelMode(ProcessChannelMode mode)
- void setProcessEnvironment(QProcessEnvironment environment)
- void setReadChannel(ProcessChannel channel)
- void setStandardErrorFile(String fileName, OpenMode mode)
- void setStandardInputFile(String fileName)
- void setStandardOutputFile(String fileName, OpenMode mode)
- void setStandardOutputProcess(QProcess destination)
- void setWorkingDirectory(String dir)
- void start(String program, OpenMode mode)
- ProcessState state()
- bool waitForFinished(int msecs)
- bool waitForStarted(int msecs)
- String workingDirectory()

### Instance Properties

QProcess objects have no special properties beyond those inherited from the QProcess prototype object.